WXC2-SS7-MIB DEFINITIONS ::= BEGIN
IMPORTS
       OBJECT-TYPE, Integer32, Opaque
       FROM SNMPv2-SMI
       TEXTUAL-CONVENTION, DisplayString, TruthValue
       FROM SNMPv2-TC
       Platform
       FROM WXC2-SMI;

SS7  OBJECT-IDENTITY
         STATUS current  
         DESCRIPTION 
         "
         Subsystems  for SS7 .
         "
         ::= { Platform 2 }


--
-- sub system MTP3
--

MTP3  OBJECT-IDENTITY
         STATUS current
         DESCRIPTION 
         "
         [SubSystem_Module]Subsystems  for MTP3 .
         "
         ::= { SS7 2 }

Config_MTP3	OBJECT-IDENTITY
				STATUS	current
				DESCRIPTION
				" MTP3	Configuration.	"
				::= { MTP3 2 }

Network_Indicator	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
				Instance: 1
				Length:   1
				Default:  00
				Field:    [1]International network   
				          {   
					          [u]0.0-0.0
					          [u]select
										[v]0[opt]14bit
										[v]1[opt]24bit
									}
									[2]International network spare
									{
										[u]0.1-0.1
										[u]select
										[v]0[opt]14bit
										[v]1[opt]24bit
									}
									[3]National network       
									{    
										[u]0.2-0.2
										[u]select
										[v]0[opt]14bit
										[v]1[opt]24bit
									}
									[4]National network spare   
									{  
										[u]0.3-0.3
										[u]select
										[v]0[opt]14bit
										[v]1[opt]24bit
									}
									[5]International network  
									{   
										[u]0.4-0.4
										[u]select
										[v]0[opt]ITU
										[v]1[opt]ANSI
									}
									[6]International network spare     
									{
										[u]0.5-0.5
										[u]select
										[v]0[opt]ITU
										[v]1[opt]ANSI
									}
									[7]National network  
									{   
										[u]0.6-0.6
										[u]select
										[v]0[opt]ITU
										[v]1[opt]ANSI
									}
									[8]National network spare    
									{
										[u]0.7-0.7
										[u]select
										[v]0[opt]ITU
										[v]1[opt]ANSI
									}
				Remark:  MTP3 network indicator.	
				[End]  				
				"
				::= { Config_MTP3 2 }
				
				


OPC	OBJECT-IDENTITY
	STATUS	current
	DESCRIPTION
	"	Originating point code.	" 
	::= { Config_MTP3 3 }

International_14bit	OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    read-write
					STATUS        current
					DESCRIPTION
					"
					[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Originating point code
							 {
							    [u]0.0-2.7
							    [u]input 
							    [v]toDec-high-0 
							  }
					Remark:  14-bit originating point code (OPC) in an international network. Default=0.
					[End]					
					"
					::= { OPC 1 }

International_Spare_14bit	OBJECT-TYPE
							SYNTAX        OCTET STRING
							MAX-ACCESS    read-write
							STATUS        current
							DESCRIPTION
							"
							[Begin]
							Instance: 1
							Length:  3
							Default:  000000
							Field:    [1]Originating point code
									{
									   [u]0.0-2.7
									   [u]input
									    [v]toDec-high-0 
									 }
							Remark:  14-bit originating point code (OPC) in an international network. Default=0.
							[End]												
							"
							::= { OPC 2 }

National_14bit	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   3
							Default:  000000
							Field:     [1]Originating point code
												{
													[u]0.0-2.7
													[u]input 
													[v]toDec-high-0 
												}
							Remark:  14-bit originating point code (OPC) in an international network. Default=0.
							[End]
				"
				::= { OPC 3 }

National_Spare_14bit	OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    read-write
					STATUS        current
					DESCRIPTION
					"
					[Begin]
							Instance: 1
							Length:   3
							Default:  000000
							Field:    [1]Originating point code
												{
													[u]0.0-2.7
													[u]input 
													[v]toDec-high-0 
												}
							Remark:  14-bit originating point code (OPC) in an international network. Default=0.
							[End]					
					"
					::= { OPC 4 }

International_24bit	OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    read-write
					STATUS        current
					DESCRIPTION
					"
					[Begin]
							Instance: 1
							Length:   3
							Default:  000000
							Field:    [1]Originating point code
												{
													[u]0.0-2.7
													[u]input 
													[v]toDec-high-0 
												}
							Remark:  24-bit originating point code (OPC) in an international network. Default=0.
							[End]					
					"
					::= { OPC 5 }

International_Spare_24bit	OBJECT-TYPE
							SYNTAX        OCTET STRING
							MAX-ACCESS    read-write
							STATUS        current
							DESCRIPTION
							"
							[Begin]
							Instance: 1
							Length:   3
							Default: 000000
							Field:   [1]Originating point code
												{
													[u]0.0-2.7
													[u]input 
													[v]toDec-high-0 
												}
							Remark:  24-bit originating point code (OPC) in an international network. Default=0.
							[End]							
							"
							::= { OPC 6}

National_24bit	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   3
							Default: 000000
							Field:    [1]Originating point code
												{
														[u]0.0-2.7
														[u]input 
														[v]toDec-high-0 
												}
							Remark:  24-bit originating point code (OPC) in an international network. Default=0.
							[End]				
				"
				::= { OPC 7 }

National_Spare_24bit	OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    read-write
					STATUS        current
					DESCRIPTION
					"
					[Begin]
							Instance: 1
							Length:   3
							Default: 000000
							Field:    [1]Originating point code
												{
													[u]0.0-2.7
													[u]input 
													[v]toDec-high-0 
												}
							Remark:  24-bit originating point code (OPC) in an international network. Default=0.
							[End]					
					"
					::= { OPC 8 }

Linkset	OBJECT-IDENTITY
	STATUS	current
	DESCRIPTION
	"	linkset.	"
	::= { Config_MTP3 4 }

Linkset_Attributes	OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    read-write
					STATUS        current
					DESCRIPTION
					"
					[Begin]
							Instance: 128
							Length:   4
							Default: 00000000 
							Field:    [1]Linkset DPC
												{
													[u]0.0-2.7
													[u]input 
													[v]toDec-high-0 
												}
												[2]Network indicator
												{
													[u]3.0-3.1
													[u]select
													[v]0[opt]International 
													[v]1[opt]International spare 
													[v]2[opt]National 
													[v]3[opt]National spare 
												}
												[3]Reserved
												{
													[u]3.2-3.2
													[u]select 
												}
												[4]Linkset loopback
												{
													[u]3.3-3.3
													[u]select 
													[v]0[opt]Disable 
													[v]1[opt]Enable 
												}
												[5]Reserved
												{
													[u]3.4-3.7
													[u]select 
												}
							Remark:  Opposite point code: The opposite point code of the linkset. 
									Network indicator: The network type of the opposite point code.
									Loop back: Loop back enable or disable, used for MSC loop back link.
							[End]					
					"
					::= { Linkset 1 }

Link	OBJECT-IDENTITY
	STATUS	current
	DESCRIPTION
	"	link.	"
	::= { Config_MTP3 5 }

Link_Attributes	OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    read-write
					STATUS        current
					DESCRIPTION
					"
					[Begin]
							Instance: 256
							Length:   15
							Default: 8010FFFFFFFF000000000000000000 
							Field:   [1]Linkset no.
											{
												[u]00.0-00.7
												[u]input 
												[v]toDec-high-0 
											}
											[2]SLC no.
											{
												[u]01.0-01.7
												[u]input 
												[v]toDec-high-0 
											}
											[3]CPC IP
											{
												[u]02.0-05.7
												[u]input 
												[v]keepHex-high-0
											}
											[4]Link Type
											{
												[u]06.0-06.0
												[u]select
												[v]0[opt]Non-sigtran
												[v]1[opt]Sigtran
											}
											[5]Link Enable
											{
												[u]06.1-06.1
												[u]select
												[v]0[opt]Disable
												[v]1[opt]Enable
											}
											[6]MTP3-Lite Enable
											{
												[u]06.2-06.2
												[u]select
												[v]0[opt]Disable
												[v]1[opt]Enable
											}									
											[7]Reserved
											{
												[u]06.3-06.7
												[u]select		
											}									
											[8]SG no.
											{
												[u]07.0-07.7
												[u]input
												[v]toDec-high-0
											}
											[9]M2UA Interface ID
											{
											  [u]08.0-08.7
											  [u]input
											  [v]toDec-high-0
											}										
											[10]MTP3-Lite Remote IP
											{
											  [u]09.0-12.7
											  [u]input
											  [v]keepHex-high-0
											}										
											[11]MTP3-Lite Inactivity Timeout
											{
												[u]13.0-13.7
												[u]input
												[v]toDec-high-0
											}
											[12]MTP3-Lite Allowed Inactivity Timeouts
											{
												[u]14.0-14.7
												[u]input
												[v]toDec-high-0 
											}
							Remark:  E1 link attributes.
									 Linkset no.: Assign linkset to E1 link, MSC has up to 128 linksets (0-127). 128=TCH E1.
									 SLC no.: Assign SLC to each E1 link of a linkset, each linkset has up to 13 E1 links (0-15).
									 IP: E1 link management IP. The third byte of CPC IP: 
									 98=E1 link 0-127, 99=E1 link 128-255. 
					         Default=0x000032.
							[End]					
					"
					::= { Link 1 }

Link_Command	OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    write-only
					STATUS        current
					DESCRIPTION
					"
					[Begin]
							Instance: 256
							Length:   1
							Default: 01
							Field:   [1]E1 link 
												{
														[u]0.0-0.7
														[u]select 
														[v]0[opt]Disable
														[v]1[opt]Enable 
														[v]2[opt]Inhibit 
														[v]3[opt]Uninhibit 
												}
							Remark:     Used for E1 link control, not affect call traffic.
										Disable=Disable E1 link MTP2 layer.
										Enable=Enable a disabled E1 link MTP2 layer.
										Inhibit=Inhibit E1 link MTP3 layer.
										Uninhibit=Uninhibit a inhibited E1 link MTP3 layer.
										Default=Enable a disabled E1 link MTP2 layer.
							[End]					
					"
					::= { Link 2 }
					
TCP_Port  OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    read-writed
					STATUS        current
					DESCRIPTION
					"
					[Begin]
							Instance: 1
							Length:   2
							Default: 1388
							Field:   [1]TCP Port
							         {
							           [u]0.0-1.7
							           [u]input
												 [v]toDec-high-0
											 }
							Remark:  TCP server port for SCCP-Lite.	
							[End]													
					"
					::= { Link 3 }

Routing	OBJECT-IDENTITY
	STATUS	current
	DESCRIPTION
	"	Routing.	"
	::= { Config_MTP3 6 }

International	OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    read-write
					STATUS        current
					DESCRIPTION
					"
					[Begin]
							Instance: 256
							Length:   5
							Default: 0000008080
							Field:    [1]DPC
							          {
							            [u]0.0-2.7
							            [u]input 
							            [v]toDec-high-0 
							          }
							          [2]Normal linkset
							         {
							            [u]3.0-3.7
							            [u]input 
							            [v]toDec-high-0 
							          }
							          [3]Alternative linkset
							          {
							            [u]4.0-4.7
							            [u]input 
							            [v]toDec-high-0 
							          }
							Remark:  Assign a normal linkset and an alternative linkset for each destination point code for signaling addressing. Basically the normal linkset is always used. The alternative linkset can only be used when the normal linkset is not available. Default=0x0000008080. 
							[End]					
					"
					::= { Routing 1 }

International_Spare	OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    read-write
					STATUS        current
					DESCRIPTION
					"
					[Begin]
							Instance: 256
							Length:   5
							Default: 0000008080
							Field:    [1]DPC
							          {
							            [u]0.0-2.7
							            [u]input 
							            [v]toDec-high-0 
							          }
							          [2]Normal linkset
							         {
							            [u]3.0-3.7
							            [u]input 
							            [v]toDec-high-0 
							          }
							          [3]Alternative linkset
							          {
							            [u]4.0-4.7
							            [u]input 
							            [v]toDec-high-0 
							          }
							Remark:  Assign a normal linkset and an alternative linkset for each destination point code for signaling addressing. Basically the normal linkset is always used. The alternative linkset can only be used when the normal linkset is not available. Default=0x0000008080. 
							[End]					
					"
					::= { Routing 2 }

National	OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    read-write
					STATUS        current
					DESCRIPTION
					"
					[Begin]
							Instance: 256
							Length:   5
							Default: 0000008080
							Field:    [1]DPC
							          {
							            [u]0.0-2.7
							            [u]input 
							            [v]toDec-high-0 
							          }
							          [2]Normal linkset
							         {
							            [u]3.0-3.7
							            [u]input 
							            [v]toDec-high-0 
							          }
							          [3]Alternative linkset
							          {
							            [u]4.0-4.7
							            [u]input 
							            [v]toDec-high-0 
							          }
							Remark:  Assign a normal linkset and an alternative linkset for each destination point code for signaling addressing. Basically the normal linkset is always used. The alternative linkset can only be used when the normal linkset is not available. Default=0x0000008080. 
							[End]					
					"
					::= { Routing 3 }

National_Spare	OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    read-write
					STATUS        current
					DESCRIPTION
					"
					[Begin]
							Instance: 256
							Length:   5
							Default: 0000008080
							Field:    [1]DPC
							          {
							            [u]0.0-2.7
							            [u]input 
							            [v]toDec-high-0 
							          }
							          [2]Normal linkset
							         {
							            [u]3.0-3.7
							            [u]input 
							            [v]toDec-high-0 
							          }
							          [3]Alternative linkset
							          {
							            [u]4.0-4.7
							            [u]input 
							            [v]toDec-high-0 
							          }
							Remark:  Assign a normal linkset and an alternative linkset for each destination point code for signaling addressing. Basically the normal linkset is always used. The alternative linkset can only be used when the normal linkset is not available. Default=0x0000008080. 
							[End]					
					"
					::= { Routing 4 }

SPC_to_ACN	OBJECT-IDENTITY
        	 STATUS	current
	         DESCRIPTION
	         "	SPC to ACN.	"
	        ::= { Config_MTP3 7 }

Local_ACN	OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    read-write
					STATUS        current
					DESCRIPTION
					"
					[Begin]
							Instance: 1
							Length:   36
							Default: 030303030202020202030302020303020303020303030303030303030303030302020202 
							Field:    [1]Network Location Update
							          {
								          [u]0.0-0.7
								          [u]select
													[v]2[opt]Version 2 
													[v]3[opt]Version 3
												}
												[2]Location Cancel
												{
													[u]1.0-1.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[3]Roaming number nequiry
												{
													[u]2.0-2.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[4]Location Info Retrieval
												{
													[u]3.0-3.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[5]Reset Context
												{
													[u]4.0-4.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[6]Handover Control
												{
													[u]5.0-5.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[7]Equipment management
												{
													[u]6.0-6.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[8]Info Retrieval
												{
													[u]7.0-7.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[9]Inter VLR Info Retrieval
												{
													[u]8.0-8.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[10]Subscriber Data Management
												{
													[u]9.0-9.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[11]Tracing
												{
													[u]10.0-10.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[12]Network Functional SS
												{
													[u]11.0-11.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[13]Network Unstructured SS
												{
													[u]12.0-12.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[14]Short Message Gateway
												{
													[u]13.0-13.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[15]Short Messsage MO Relay
												{
													[u]14.0-14.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[16]Short Message Alert
												{
													[u]15.0-15.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[17]Short Message Waiting Data Management
												{
													[u]16.0-16.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[18]Mobile Terminating Short Message Relay
												{
													[u]17.0-17.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[19]IMSI Retrieval
												{
													[u]18.0-18.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[20]MS purging
												{
													[u]19.0-19.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[21]Subscriber Info Enquiry
												{
													[u]20.0-20.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[22]Any Time Info Enquiry
												{
													[u]21.0-21.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[23]Call Control Transfer
												{
													[u]22.0-22.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[24]Invocation Notification
												{
													[u]23.0-23.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[25]SIWFS Allocation
												{
													[u]24.0-24.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[26]Group Call Control
												{
													[u]25.0-25.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[27]GPRS Location Update
												{
													[u]26.0-26.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[28]GPRS Location Info Retrieval
												{
													[u]27.0-27.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[29]Failure Report
												{
													[u]28.0-28.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[30]GPRS Notify
												{
													[u]29.0-29.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[31]Reporting
												{
													[u]30.0-30.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[32]Call Completion
												{
													[u]31.0-31.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[33]Security Triplets
												{
													[u]32.0-32.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[34]Subscriber Interrogate
												{
													[u]33.0-33.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[35]HLR Subscriber Management
												{
													[u]34.0-34.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[36]HLR Ping AUC
												{
													[u]35.0-35.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
											  }
							Remark:  The ACN facility enables the version negotiation for the above messages, which make the WXC2 System more compatible with the other networks by means of flexible message version adjustment. The adjustable version includes Version 1, Version 2 and Version 3.
							[End]					
					"
					::= { SPC_to_ACN 1 }

International	OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    read-write
					STATUS        current
					DESCRIPTION
					"
					[Begin]
							Instance: 256
							Length:   36
							Default: 030303030202020202030302020303020303020303030303030303030303030302020202 
							Field:    [1]Network Location Update
							          {
								          [u]0.0-0.7
								          [u]select
													[v]2[opt]Version 2 
													[v]3[opt]Version 3
												}
												[2]Location Cancel
												{
													[u]1.0-1.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[3]Roaming number nequiry
												{
													[u]2.0-2.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[4]Location Info Retrieval
												{
													[u]3.0-3.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[5]Reset Context
												{
													[u]4.0-4.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[6]Handover Control
												{
													[u]5.0-5.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[7]Equipment management
												{
													[u]6.0-6.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[8]Info Retrieval
												{
													[u]7.0-7.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[9]Inter VLR Info Retrieval
												{
													[u]8.0-8.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[10]Subscriber Data Management
												{
													[u]9.0-9.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[11]Tracing
												{
													[u]10.0-10.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[12]Network Functional SS
												{
													[u]11.0-11.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[13]Network Unstructured SS
												{
													[u]12.0-12.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[14]Short Message Gateway
												{
													[u]13.0-13.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[15]Short Messsage MO Relay
												{
													[u]14.0-14.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[16]Short Message Alert
												{
													[u]15.0-15.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[17]Short Message Waiting Data Management
												{
													[u]16.0-16.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[18]Mobile Terminating Short Message Relay
												{
													[u]17.0-17.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[19]IMSI Retrieval
												{
													[u]18.0-18.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[20]MS purging
												{
													[u]19.0-19.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[21]Subscriber Info Enquiry
												{
													[u]20.0-20.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[22]Any Time Info Enquiry
												{
													[u]21.0-21.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[23]Call Control Transfer
												{
													[u]22.0-22.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[24]Invocation Notification
												{
													[u]23.0-23.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[25]SIWFS Allocation
												{
													[u]24.0-24.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[26]Group Call Control
												{
													[u]25.0-25.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[27]GPRS Location Update
												{
													[u]26.0-26.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[28]GPRS Location Info Retrieval
												{
													[u]27.0-27.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[29]Failure Report
												{
													[u]28.0-28.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[30]GPRS Notify
												{
													[u]29.0-29.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[31]Reporting
												{
													[u]30.0-30.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[32]Call Completion
												{
													[u]31.0-31.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[33]Security Triplets
												{
													[u]32.0-32.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[34]Subscriber Interrogate
												{
													[u]33.0-33.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[35]HLR Subscriber Management
												{
													[u]34.0-34.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[36]HLR Ping AUC
												{
													[u]35.0-35.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
											  }
							Remark:  The ACN facility enables the version negotiation for the above messages, which make the WXC2 System more compatible with the other networks by means of flexible message version adjustment. The adjustable version includes Version 1, Version 2 and Version 3.
							[End]					
					"
					::= { SPC_to_ACN 2 }

International_Spare	OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    read-write
					STATUS        current
					DESCRIPTION
					"
					[Begin]
							Instance: 256
							Length:   36
							Default: 030303030202020202030302020303020303020303030303030303030303030302020202 
							Field:    [1]Network Location Update
							          {
								          [u]0.0-0.7
								          [u]select
													[v]2[opt]Version 2 
													[v]3[opt]Version 3
												}
												[2]Location Cancel
												{
													[u]1.0-1.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[3]Roaming number nequiry
												{
													[u]2.0-2.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[4]Location Info Retrieval
												{
													[u]3.0-3.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[5]Reset Context
												{
													[u]4.0-4.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[6]Handover Control
												{
													[u]5.0-5.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[7]Equipment management
												{
													[u]6.0-6.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[8]Info Retrieval
												{
													[u]7.0-7.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[9]Inter VLR Info Retrieval
												{
													[u]8.0-8.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[10]Subscriber Data Management
												{
													[u]9.0-9.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[11]Tracing
												{
													[u]10.0-10.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[12]Network Functional SS
												{
													[u]11.0-11.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[13]Network Unstructured SS
												{
													[u]12.0-12.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[14]Short Message Gateway
												{
													[u]13.0-13.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[15]Short Messsage MO Relay
												{
													[u]14.0-14.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[16]Short Message Alert
												{
													[u]15.0-15.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[17]Short Message Waiting Data Management
												{
													[u]16.0-16.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[18]Mobile Terminating Short Message Relay
												{
													[u]17.0-17.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[19]IMSI Retrieval
												{
													[u]18.0-18.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[20]MS purging
												{
													[u]19.0-19.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[21]Subscriber Info Enquiry
												{
													[u]20.0-20.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[22]Any Time Info Enquiry
												{
													[u]21.0-21.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[23]Call Control Transfer
												{
													[u]22.0-22.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[24]Invocation Notification
												{
													[u]23.0-23.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[25]SIWFS Allocation
												{
													[u]24.0-24.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[26]Group Call Control
												{
													[u]25.0-25.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[27]GPRS Location Update
												{
													[u]26.0-26.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[28]GPRS Location Info Retrieval
												{
													[u]27.0-27.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[29]Failure Report
												{
													[u]28.0-28.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[30]GPRS Notify
												{
													[u]29.0-29.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[31]Reporting
												{
													[u]30.0-30.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[32]Call Completion
												{
													[u]31.0-31.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[33]Security Triplets
												{
													[u]32.0-32.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[34]Subscriber Interrogate
												{
													[u]33.0-33.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[35]HLR Subscriber Management
												{
													[u]34.0-34.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[36]HLR Ping AUC
												{
													[u]35.0-35.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
											  }
							Remark:  The ACN facility enables the version negotiation for the above messages, which make the WXC2 System more compatible with the other networks by means of flexible message version adjustment. The adjustable version includes Version 1, Version 2 and Version 3.
							[End]					
					"
					::= { SPC_to_ACN 3 }

National	OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    read-write
					STATUS        current
					DESCRIPTION
					"
					[Begin]
							Instance: 256
							Length:   36
							Default: 030303030202020202030302020303020303020303030303030303030303030302020202 
							Field:    [1]Network Location Update
							          {
								          [u]0.0-0.7
								          [u]select
													[v]2[opt]Version 2 
													[v]3[opt]Version 3
												}
												[2]Location Cancel
												{
													[u]1.0-1.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[3]Roaming number nequiry
												{
													[u]2.0-2.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[4]Location Info Retrieval
												{
													[u]3.0-3.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[5]Reset Context
												{
													[u]4.0-4.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[6]Handover Control
												{
													[u]5.0-5.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[7]Equipment management
												{
													[u]6.0-6.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[8]Info Retrieval
												{
													[u]7.0-7.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[9]Inter VLR Info Retrieval
												{
													[u]8.0-8.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[10]Subscriber Data Management
												{
													[u]9.0-9.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[11]Tracing
												{
													[u]10.0-10.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[12]Network Functional SS
												{
													[u]11.0-11.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[13]Network Unstructured SS
												{
													[u]12.0-12.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[14]Short Message Gateway
												{
													[u]13.0-13.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[15]Short Messsage MO Relay
												{
													[u]14.0-14.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[16]Short Message Alert
												{
													[u]15.0-15.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[17]Short Message Waiting Data Management
												{
													[u]16.0-16.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[18]Mobile Terminating Short Message Relay
												{
													[u]17.0-17.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[19]IMSI Retrieval
												{
													[u]18.0-18.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[20]MS purging
												{
													[u]19.0-19.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[21]Subscriber Info Enquiry
												{
													[u]20.0-20.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[22]Any Time Info Enquiry
												{
													[u]21.0-21.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[23]Call Control Transfer
												{
													[u]22.0-22.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[24]Invocation Notification
												{
													[u]23.0-23.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[25]SIWFS Allocation
												{
													[u]24.0-24.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[26]Group Call Control
												{
													[u]25.0-25.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[27]GPRS Location Update
												{
													[u]26.0-26.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[28]GPRS Location Info Retrieval
												{
													[u]27.0-27.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[29]Failure Report
												{
													[u]28.0-28.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[30]GPRS Notify
												{
													[u]29.0-29.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[31]Reporting
												{
													[u]30.0-30.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[32]Call Completion
												{
													[u]31.0-31.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[33]Security Triplets
												{
													[u]32.0-32.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[34]Subscriber Interrogate
												{
													[u]33.0-33.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[35]HLR Subscriber Management
												{
													[u]34.0-34.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[36]HLR Ping AUC
												{
													[u]35.0-35.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
											  }
							Remark:  The ACN facility enables the version negotiation for the above messages, which make the WXC2 System more compatible with the other networks by means of flexible message version adjustment. The adjustable version includes Version 1, Version 2 and Version 3.
							[End]	
					"
					::= { SPC_to_ACN 4 }

National_Spare	OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    read-write
					STATUS        current
					DESCRIPTION
					"
					[Begin]
							Instance: 256
							Length:   36
							Default: 030303030202020202030302020303020303020303030303030303030303030302020202 
							Field:    [1]Network Location Update
							          {
								          [u]0.0-0.7
								          [u]select
													[v]2[opt]Version 2 
													[v]3[opt]Version 3
												}
												[2]Location Cancel
												{
													[u]1.0-1.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[3]Roaming number nequiry
												{
													[u]2.0-2.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[4]Location Info Retrieval
												{
													[u]3.0-3.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[5]Reset Context
												{
													[u]4.0-4.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[6]Handover Control
												{
													[u]5.0-5.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[7]Equipment management
												{
													[u]6.0-6.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[8]Info Retrieval
												{
													[u]7.0-7.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[9]Inter VLR Info Retrieval
												{
													[u]8.0-8.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[10]Subscriber Data Management
												{
													[u]9.0-9.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[11]Tracing
												{
													[u]10.0-10.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[12]Network Functional SS
												{
													[u]11.0-11.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[13]Network Unstructured SS
												{
													[u]12.0-12.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[14]Short Message Gateway
												{
													[u]13.0-13.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[15]Short Messsage MO Relay
												{
													[u]14.0-14.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[16]Short Message Alert
												{
													[u]15.0-15.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[17]Short Message Waiting Data Management
												{
													[u]16.0-16.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[18]Mobile Terminating Short Message Relay
												{
													[u]17.0-17.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[19]IMSI Retrieval
												{
													[u]18.0-18.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[20]MS purging
												{
													[u]19.0-19.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[21]Subscriber Info Enquiry
												{
													[u]20.0-20.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[22]Any Time Info Enquiry
												{
													[u]21.0-21.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[23]Call Control Transfer
												{
													[u]22.0-22.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[24]Invocation Notification
												{
													[u]23.0-23.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[25]SIWFS Allocation
												{
													[u]24.0-24.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[26]Group Call Control
												{
													[u]25.0-25.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[27]GPRS Location Update
												{
													[u]26.0-26.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[28]GPRS Location Info Retrieval
												{
													[u]27.0-27.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[29]Failure Report
												{
													[u]28.0-28.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[30]GPRS Notify
												{
													[u]29.0-29.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[31]Reporting
												{
													[u]30.0-30.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[32]Call Completion
												{
													[u]31.0-31.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[33]Security Triplets
												{
													[u]32.0-32.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[34]Subscriber Interrogate
												{
													[u]33.0-33.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[35]HLR Subscriber Management
												{
													[u]34.0-34.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
												}
												[36]HLR Ping AUC
												{
													[u]35.0-35.7
													[u]select
													[v]2[opt]Version 2
													[v]3[opt]Version 3
											  }
							Remark:  The ACN facility enables the version negotiation for the above messages, which make the WXC2 System more compatible with the other networks by means of flexible message version adjustment. The adjustable version includes Version 1, Version 2 and Version 3.
							[End]
					"
					::= { SPC_to_ACN 5 }

Signaling_Gateway	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 256
							Length:   7
							Default: 00000000000000
							Field:   [1]Enable
							        {
							           [u]00.0-00.7
							           [u]select
												 [v]0[opt]Disable
												 [v]1[opt]Enable
											}
										[2]Server
										{
											[u]01.0-01.7
											[u]select
											[v]0[opt]Client
											[v]1[opt]Server
										}
										[3]ACK
										{
											[u]02.0-02.7
											[u]select
											[v]0[opt]no ACK
											[v]1[opt]ACK
										}
										[4]IP
										{
											[u]03.0-06.7
											[u]input 
											[v]keepHex-high-0
										}
							Remark:  SG attributes
							[End]
				"
				::= { Config_MTP3 9 }								

Status_MTP3	OBJECT-IDENTITY
				STATUS	current
				DESCRIPTION
				" MTP3	Status.	"
				::= { MTP3 3 }

Link_Status	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-only
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 256
							Length:   1
							Default: 01
							Field:    [1]Link status
							          {
													[u]0.0-0.7
													[u]select
													[v]0[opt]Unavailable
													[v]1[opt]Available
													[v]2[opt]Inhibited
                        }
							Remark:  E1 link MTP3 status (Read Only).
							[End]				
				"
				::= { Status_MTP3 1 }

Linkset_Status	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-only
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 128
							Length:   1
							Default: 01
							Field:   [1]Linkset status
							{							         
							         [u]0.0-0.7
							         [u]select
									 [v]0[opt]Unavailable
											[v]1[opt]Available
											[v]2[opt]Reserved
										}
							Remark:  Linkset status (Read only).
							[End]				
				"
				::= { Status_MTP3 2 }

International_Routing	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-only
				STATUS        current
				DESCRIPTION
				"
				[Begin]
		Instance: 256
							Length:   1
							Default: 8A
							Field:    [1]Normal linkset
							         {
												[u]0.0-0.1
												[u]select
												[v]0[opt]available
												[v]1[opt]reserved
												[v]2[opt]unavailable
											 }
												[2]Alternative linkset
											{
												[u]0.2-0.3
												[u]select
												[v]0[opt]available
												[v]1[opt]reserved
												[v]2[opt]unavailable
											}
												[3]DPC accessibility
											{
												[u]0.4-0.4
												[u]select
												[v]0[opt]inaccessible
												[v]1[opt]accessible
											}
												[4]Current route
											{
												[u]0.6-0.7
												[u]select
												[v]0[opt]normal linkset
												[v]1[opt]alternative linkset
												[v]2[opt]no route
                       }
							Remark:  	Normal linkset status (bit0-1):
										- 0=Available
										- 1=Reserved
										- 2=Unavailable
										Alternative linkset status (bit2-3):
										- 0=Available
										- 1=Reserved
										- 2=Unavailable
										DPC accessibility (bit4):
										- 0=Inaccessible
										- 1=Accessible
										Current route (bit3-7):
										- 0=Normal linkset
										- 1=Alternative linkset
										- 2=No route.
						[End]
				"
				::= { Status_MTP3 3 }

International_Spare_Routing	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-only
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 256
							Length:   1
							Default: 8a
							Field:    [1]Normal linkset
							         {
												[u]0.0-0.1
												[u]select
												[v]0[opt]available
												[v]1[opt]reserved
												[v]2[opt]unavailable
											 }
												[2]Alternative linkset
											{
												[u]0.2-0.3
												[u]select
												[v]0[opt]available
												[v]1[opt]reserved
												[v]2[opt]unavailable
											}
												[3]DPC accessibility
											{
												[u]0.4-0.4
												[u]select
												[v]0[opt]inaccessible
												[v]1[opt]accessible
											}
												[4]Current route
											{
												[u]0.6-0.7
												[u]select
												[v]0[opt]normal linkset
												[v]1[opt]alternative linkset
												[v]2[opt]no route
                       }

							Remark:  Normal linkset status (bit0-1):
									- 0=Available
									- 1=Reserved
									- 2=Unavailable
									Alternative linkset status (bit2-3):
									- 0=Available
									- 1=Reserved
									- 2=Unavailable
									DPC accessibility (bit4):
									- 0=Inaccessible
									- 1=Accessible
									Current route (bit3-7):
									- 0=Normal linkset
									- 1=Alternative linkset
									- 2=No route.
							[End]				
				"
				::= { Status_MTP3 4 }

National_Routing	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-only
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 256
							Length:   1
							Default: 8a
							Field:    [1]Normal linkset
							         {
												[u]0.0-0.1
												[u]select
												[v]0[opt]available
												[v]1[opt]reserved
												[v]2[opt]unavailable
											 }
												[2]Alternative linkset
											{
												[u]0.2-0.3
												[u]select
												[v]0[opt]available
												[v]1[opt]reserved
												[v]2[opt]unavailable
											}
												[3]DPC accessibility
											{
												[u]0.4-0.4
												[u]select
												[v]0[opt]inaccessible
												[v]1[opt]accessible
											}
												[4]Current route
											{
												[u]0.6-0.7
												[u]select
												[v]0[opt]normal linkset
												[v]1[opt]alternative linkset
												[v]2[opt]no route
                       }
							Remark:  Normal linkset status (bit0-1):
									- 0=Available
									- 1=Reserved
									- 2=Unavailable
									Alternative linkset status (bit2-3):
									- 0=Available
									- 1=Reserved
									- 2=Unavailable
									DPC accessibility (bit4):
									- 0=Inaccessible
									- 1=Accessible
									Current route (bit3-7):
									- 0=Normal linkset
									- 1=Alternative linkset
									- 2=No route.
							[End]				
				"
				::= { Status_MTP3 5 }

National_Spare_Routing	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-only
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 256
							Length:   1
							Default: 8a
							Field:    [1]Normal linkset
										  {
							          [u]0.0-0.1
							          [u]select
												[v]0[opt]available
												[v]1[opt]reserved
												[v]2[opt]unavailable
											}											
												[2]Alternative linkset
											{
												[u]0.2-0.3
												[u]select
												[v]0[opt]available
												[v]1[opt]reserved
												[v]2[opt]unavailable
											}
												[3]DPC accessibility
											{
												[u]0.4-0.4
												[u]select
												[v]0[opt]inaccessible
												[v]1[opt]accessible
											}
												[4]Current route
											{
												[u]0.6-0.7
												[u]select
												[v]0[opt]normal linkset
												[v]1[opt]alternative linkset
												[v]2[opt]no route
                      }
							Remark:  Normal linkset status (bit0-1):
									- 0=Available
									- 1=Reserved
									- 2=Unavailable
									Alternative linkset status (bit2-3):
									- 0=Available
									- 1=Reserved
									- 2=Unavailable
									DPC accessibility (bit4):
									- 0=Inaccessible
									- 1=Accessible
									Current route (bit3-7):
									- 0=Normal linkset
									- 1=Alternative linkset
									- 2=No route.
							[End]				
				"
				::= { Status_MTP3 6 }



Command_MTP3	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   1
							Default: 00
							Flag  :S1.3
							Field:    [1]command
							         {
							           [u]0.0-0.7
							           [u]select
													[v]0[opt]No command
													[v]1[opt]Reset
													[v]2[opt]Save parameter
											}
							Remark:  Control command for MTP3 platform.
									Reset=status initialization.
									Save parameter=save parameters residing in memory into harddisk. 
							[End]				
				"
				::= { Status_MTP3 7 }

--
-- sub system SCCP
--

SCCP  OBJECT-IDENTITY
         STATUS current
         DESCRIPTION 
         "
         [SubSystem_Module]Subsystems  for SCCP .
         "
         ::= { SS7 3 }

Config_SCCP	OBJECT-IDENTITY
				STATUS	current
				DESCRIPTION
				" SCCP	Configuration.	"
				::= { SCCP 2 } 

Local_Node	OBJECT-IDENTITY
				STATUS	current
				DESCRIPTION
				" Local Node.	"
				::= { Config_SCCP 1 }

OMC	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   19
							Default: 00FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF 
							Field:    [1]NI
							         {
												[u]00.0-00.7
												[u]input
												[v]keepHex-low-F
											}
												[2]MSISDN
											{
												[u]01.0-10.7
												[u]input
												[v]keepHex-low-F
											}
												[3]IP0
											{
												[u]11.0-14.7
												[u]input
												[v]keepHex-low-F
											}
												[4]IP1
											{
												[u]15.0-18.7
												[u]input
												[v]keepHex-low-F
											}
							Remark:  NI: Network indicator.
									0=International network.
									1=International network spare.
									2=National network.
									3=National network spare.
									MSISDN: OMC E.134 number.
									IP0: OMC0 IP, 172.18.128.1.
									IP1: OMC1 IP, 172.18.129.1.
							[End]				
				"
				::= { Local_Node 4 }

HLR	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   19
							Default: 00FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF 
							Field:    [1]NI
							         {
												[u]00.0-00.7
												[u]input
												[v]keepHex-low-F
											}
												[2]MSISDN
											{
												[u]01.0-10.7
												[u]input
												[v]keepHex-low-F
											}
												[3]IP0
											{
												[u]11.0-14.7
												[u]input
												[v]keepHex-low-F
											}
												[4]IP1
											{
												[u]15.0-18.7
												[u]input
												[v]keepHex-low-F
											}
							Remark:  NI: Network indicator.
									0=International network.
									1=International network spare.
									2=National network.
									3=National network spare.
									MSISDN: HLR E.134 number.
									IP0: HLR0 IP, 172.18.98.1.
									IP1: HLR1 IP, 172.18.99.1.
							[End]			
				"
				::= { Local_Node 6 }

VLR	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   19
							Default: 00FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF 
							Field:    [1]NI
							         {
												[u]00.0-00.7
												[u]input
												[v]keepHex-low-F
											}
												[2]MSISDN
											{
												[u]01.0-10.7
												[u]input
												[v]keepHex-low-F
											}
												[3]IP0
											{
												[u]11.0-14.7
												[u]input
												[v]keepHex-low-F
											}
												[4]IP1
											{
												[u]15.0-18.7
												[u]input
												[v]keepHex-low-F
											}
							Remark:  NI: Network indicator.
									0=International network.
									1=International network spare.
									2=National network.
									3=National network spare.
									MSISDN: VLR E.134 number.
									IP0: VLR0 IP, 172.18.98.1.
									IP1: VLR1 IP, 172.18.99.1.
							[End]				
				"
				::= { Local_Node 7 }

MSC	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   19
							Default: 00FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF 
							Field:    [1]NI
							         {
												[u]00.0-00.7
												[u]input
												[v]keepHex-low-F
											}
												[2]MSISDN
											{
												[u]01.0-10.7
												[u]input
												[v]keepHex-low-F
											}
												[3]IP0
											{
												[u]11.0-14.7
												[u]input
												[v]keepHex-low-F
											}
												[4]IP1
											{
												[u]15.0-18.7
												[u]input
												[v]keepHex-low-F
											}
							Remark:  NI: Network indicator.
										0=International network.
										1=International network spare.
										2=National network.
										3=National network spare.
										MSISDN: MSC E.134 number.
										IP0: MSC0 IP, 172.18.98.1.
										IP1: MSC1 IP, 172.18.99.1.
							[End]				
				"
				::= { Local_Node 8 }

EIR	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   19
							Default: 00FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF 
							Field:    [1]NI
							         {
												[u]00.0-00.7
												[u]input
												[v]keepHex-low-F
											}
												[2]MSISDN
											{
												[u]01.0-10.7
												[u]input
												[v]keepHex-low-F
											}
												[3]IP0
											{
												[u]11.0-14.7
												[u]input
												[v]keepHex-low-F
											}
												[4]IP1
											{
												[u]15.0-18.7
												[u]input
												[v]keepHex-low-F
											}
							Remark:  NI: Network indicator.
									0=International network.
									1=International network spare.
									2=National network.
									3=National network spare.
									MSISDN: EIR E.134 number.
									IP0: EIR0 IP, 172.18.98.1.
									IP1: EIR1 IP, 172.18.99.1.
							[End]			
				"
				::= { Local_Node 9 }

AUC	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   19
							Default: 00FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF 
							Field:    [1]NI
							         {
												[u]00.0-00.7
												[u]input
												[v]keepHex-low-F
											}
												[2]MSISDN
											{
												[u]01.0-10.7
												[u]input
												[v]keepHex-low-F
											}
												[3]IP0
											{
												[u]11.0-14.7
												[u]input
												[v]keepHex-low-F
											}
												[4]IP1
											{
												[u]15.0-18.7
												[u]input
												[v]keepHex-low-F
											}
							Remark:  NI: Network indicator.
									0=International network.
									1=International network spare.
									2=National network.
									3=National network spare.
									MSISDN: AUC E.134 number.
									IP0: AUC0 IP, 172.18.98.1.
									IP1: AUC1 IP, 172.18.99.1.
							[End]				
				"
				::= { Local_Node 10 }

SMSC	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   19
							Default: 00FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF 
							Field:    [1]NI
							         {
												[u]00.0-00.7
												[u]input
												[v]keepHex-low-F
											}
												[2]MSISDN
											{
												[u]01.0-10.7
												[u]input
												[v]keepHex-low-F
											}
												[3]IP0
											{
												[u]11.0-14.7
												[u]input
												[v]keepHex-low-F
											}
												[4]IP1
											{
												[u]15.0-18.7
												[u]input
												[v]keepHex-low-F
											}
							Remark:  NI: Network indicator.
									0=International network.
									1=International network spare.
									2=National network.
									3=National network spare.
									MSISDN: SMSC E.134 number.
									IP0: OMC0 IP, 172.18.98.1.
									IP1: OMC1 IP, 172.18.99.1.
							[End]				
				"
				::= { Local_Node 11 }

SMPP_EMSE	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   19
							Default: 00FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF 
							Field:    [1]NI
							         {
												[u]00.0-00.7
												[u]input
												[v]keepHex-low-F
											}
												[2]MSISDN
											{
												[u]01.0-10.7
												[u]input
												[v]keepHex-low-F
											}
												[3]IP0
											{
												[u]11.0-14.7
												[u]input
												[v]keepHex-low-F
											}
												[4]IP1
											{
												[u]15.0-18.7
												[u]input
												[v]keepHex-low-F
											}
							Remark: NI: Network indicator.
									0=International network.
									1=International network spare.
									2=National network.
									3=National network spare.
									MSISDN: VMS-SMPP E.134 number.
									IP0: VMS0 IP, 172.18.147.1.
									IP1: VMS1 IP, 172.18.148.1.
							[End]				
				"
				::= { Local_Node 19 }

SMPP_SMSC	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   19
							Default: 00FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF 
							Field:    [1]NI
							         {
												[u]00.0-00.7
												[u]input
												[v]keepHex-low-F
											}
												[2]MSISDN
											{
												[u]01.0-10.7
												[u]input
												[v]keepHex-low-F
											}
												[3]IP0
											{
												[u]11.0-14.7
												[u]input
												[v]keepHex-low-F
											}
												[4]IP1
											{
												[u]15.0-18.7
												[u]input
												[v]keepHex-low-F
											}
							Remark:  NI: Network indicator.
									0=International network.
									1=International network spare.
									2=National network.
									3=National network spare.
									MSISDN: SMSC-SMPP E.134 number.
									IP0: SMSC0 IP, 172.18.98.1.
									IP1: SMSC1 IP, 172.18.99.1.
							[End]				
				"
				::= { Local_Node 20 }

SMPP_OMC	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   19
							Default: 00FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF 
							Field:    [1]NI
							         {
												[u]00.0-00.7
												[u]input
												[v]keepHex-low-F
											}
												[2]MSISDN
											{
												[u]01.0-10.7
												[u]input
												[v]keepHex-low-F
											}
												[3]IP0
											{
												[u]11.0-14.7
												[u]input
												[v]keepHex-low-F
											}
												[4]IP1
											{
												[u]15.0-18.7
												[u]input
												[v]keepHex-low-F
											}
							Remark:  NI: Network indicator.
									0=International network.
									1=International network spare.
									2=National network.
									3=National network spare.
									MSISDN: OMC-SMPP E.134 number.
									IP0: OMC0 IP, 172.18.128.1.
									IP1: OMC1 IP, 172.18.129.1.
							[End]				
				"
				::= { Local_Node 21 }

SRF	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   19
							Default: 00FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF 
							Field:  [1]NI
							        {
												[u]00.0-00.7
												[u]input
												[v]keepHex-low-F
											}
											[2]MSISDN
											{
												[u]01.0-10.7
												[u]input
												[v]keepHex-low-F
											}
											[3]IP0
											{
												[u]11.0-14.7
												[u]input
												[v]keepHex-low-F
											}
											[4]IP1
											{
												[u]15.0-18.7
												[u]input
												[v]keepHex-low-F
											}
							Remark:  NI: Network indicator.
									0=International network.
									1=International network spare.
									2=National network.
									3=National network spare.
									MSISDN: VMS SRF E.134 number.
									IP0: VMS0 IP, 172.18.147.1.
									IP1: VMS1 IP, 172.18.148.1.
							[End]				
				"
				::= { Local_Node 22 }

SSF	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   19
							Default: 00FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF 
							Field:   [1]NI
											{
												[u]00.0-00.7
												[u]input
												[v]keepHex-low-F
									}
												[2]MSISDN
												{
													[u]01.0-10.7
													[u]input
													[v]keepHex-low-F
												}
												[3]IP0
												{
													[u]11.0-14.7
													[u]input
													[v]keepHex-low-F
												}
												[4]IP1
												{
													[u]15.0-18.7
													[u]input
													[v]keepHex-low-F
                        }
							Remark:  NI: Network indicator.
									0=International network.
									1=International network spare.
									2=National network.
									3=National network spare.
									MSISDN: MSC SSF E.134 number.
									IP0: MSC0 IP, 172.18.98.1.
									IP1: MSC1 IP, 172.18.99.1.
							[End]			
				"
				::= { Local_Node 143 }

SCF	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   19
							Default: 00FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF 
							Field:    [1]NI
							         {
								          [u]00.0-00.7
								          [u]input
													[v]keepHex-low-F
											}
												[2]MSISDN
												{
													[u]01.0-10.7
													[u]input
													[v]keepHex-low-F
												}
												[3]IP0
												{
													[u]11.0-14.7
													[u]input
													[v]keepHex-low-F
												}
												[4]IP1
												{
													[u]15.0-18.7
													[u]input
													[v]keepHex-low-F
												}
							Remark:     NI: Network indicator.
										0=International network.
										1=International network spare.
										2=National network.
										3=National network spare.
										MSISDN: PPS SCF E.134 number.
										IP0: PPS0 IP, 172.18.98.1.
										IP1: PPS1 IP, 172.18.99.1.
							[End]				
				"
				::= { Local_Node 147 }

AIF	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   19
							Default: 00FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF 
							Field:   [1]NI
											{
								         [u]00.0-00.7
								         [u]input
												 [v]keepHex-low-F
											}
											[2]MSISDN
											{
												[u]01.0-10.7
												[u]input
												[v]keepHex-low-F
											}
											[3]IP0
											{
												[u]11.0-14.7
												[u]input
												[v]keepHex-low-F
											}
											[4]IP1
											{
												[u]15.0-18.7
												[u]input
												[v]keepHex-low-F
                      }
							Remark:  NI: Network indicator.
									0=International network.
									1=International network spare.
									2=National network.
									3=National network spare.
									MSISDN: AIF E.134 number.
									IP0: MSC0 IP, 172.18.98.1.
									IP1: MSC1 IP, 172.18.99.1.
							[End]				
				"
				::= { Local_Node 254 }

GTT_Table	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 256
							Length:   43
							Default: 000000FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF00000000000007000000FFFFFFFFFFFFFFFFFFFF  
							Field:   [1]On/off
											{
												[u]00.0-00.7
												[u]select
												[v]1[opt]On
												[v]0[opt]Off
											}
										[2]Numbering plan
										{
											[u]01.0-01.7
											[u]select
											[v]0[opt]0
											[v]1[opt]MSISDN
											[v]6[opt]IMSI
											[v]7[opt]GT
										}
										[3]TT
										{
										[u]02.0-02.7
										[u]input
										[v]keepHex-low-F
										}
										[4]Start GT number
										{
											[u]03.0-12.7
											[u]input
											[v]keepHex-low-F
										}
										[4]End GT number
										{
											[u]13.0-22.7
											[u]input
											[v]keepHex-low-F
										}
										[5]Network indicator
										{
											[u]23.0-23.7
											[u]select
											[v]0[opt]0
											[v]1[opt]1
											[v]2[opt]2
											[v]3[opt]3
										}
										[6]DPC
										{
											[u]24.0-26.7
											[u]input
											[v]toDec-high-0
										}
										[7]SSN
										{
											[u]27.0-27.7
											[u]input
											[v]toDec-high-0
										}
										[8]Route indicator
										{
											[u]28.0-28.7
											[u]select
											[v]0[opt]Route on GT
											[v]1[opt]Route on SSN
										}
										[9]Address indicator
										{
											[u]29.0-29.7
											[u]select
											[v]0[opt]NULL
											[v]3[opt]DPC+SSN
											[v]6[opt]GT+SSN
											[v]7[opt]GT+DPC+SSN
										}
										[10]Replaced start digit
										{
											[u]30.0-30.7
											[u]input
											[v]keepHex-high-0
										}
										[11]Replaced end digit
										{
											[u]31.0-31.7
											[u]input
											[v]keepHex-high-0
										}
										[12]Outgoing number plan
										{
											[u]32.0-32.7
											[u]select
											[v]1[opt]MSISDN
											[v]6[opt]IMSI
											[v]7[opt]GT
										}
										[13]Replacing digits
										{
											[u]33.0-42.7
											[u]input
											[v]keepHex-low-F
										}
							Remark:     On/off: GTT flag, off=disable, on=enable.
										Numbering plan: 1=MSISDN, 3=IMSI, 7=GT.
										Specify the beginning number of a group of consecutive numbers routed by GTT, for single-number GTT route, the start number is same as the end number.
										End GT number: Specify the end number of a group of consecutive number routed by GT. If there are some inconsecutive numbers for a same destination, a different GTT record should be set.
										Network indicator (NI): 0=International network, 1=International network spare, 2=National network, 3=National network spare, 
										DPC: Destination point code.
										SSN: Subsystem number. 
										2=Reserved for ITU-T allocation.
										3=ISDN user part.
										4=OMC.
										5=MAP.
										3=HLR.
										7=VLR.
										8=MSC.
										9=EIR.
										10=AUC.
										11=SMSC.
										147=PPS.
										254=BSSMAP.
										Route indicator: For IMSI and MSISDN, select Route on SSN. For the record of the connected network, select Route on GT.
										Address indicator: select the contribution of SCCP Address.
										Replaced start digit: Specify the beginning digit of a segment of digits to be replaced within a GT number, the replacement is for changing number and numbering plan.
										Replaced end digit: Specify the end digit of a segment of digits to be replaced within a GT number, the replacement is for changing number and numbering plan.
										Outgoing number plan: Outgoing number plan, include MSISDN, IMSI and GT.
										Replacing digits: Replacing digits, the length of replacing digits and replaced digits may be different.
							[End]				
				"
				::= { Config_SCCP 2 }

Management	OBJECT-IDENTITY
				STATUS	current
				DESCRIPTION
				" Management.	"
				::= { SCCP 3 }

Version	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   3
							Default: 000000
							Field:   
							Remark:  Version of SCCP platform software (Read Only).
									Byte0: System release version number, based on basic function and structure.
									Byte1: Software module version number, based on software module.
									Byte2: Test version, 0=Release version number, 1=Test version number.
							[End]				
				"
				::= { Management 1 }

Command_SCCP	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   1
							Default: 00
							Flag :  S1.2
							Field:   [1]Command
											{
												[u]00.0-00.7
												[u]select
												[v]0[opt]Reset
												[v]2[opt]Save parameters
											}
							Remark:  Control command for SCCP.
									Reset: Used for SCCP status initialization.
									Load parameter: Load the parameters from device's harddisk to device's memory.
									Save parameter: Save the parameters residing in device's memory into device's harddisk.
							[End]	
				"
				::= { Management 2 }

--
-- sub system XAPP
--

XAPP  OBJECT-IDENTITY
         STATUS current
         DESCRIPTION 
         "
         [SubSystem_Module]Subsystems  for XAPP .
         "
         ::= { SS7 5 }

Config_XAPP	OBJECT-IDENTITY
				STATUS	current
				DESCRIPTION
				" XAPP	Configuration.	"
				::= { XAPP 2 }

MCC	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   2
							Default: 460E 
							Field:   [1]MCC
											{
												[u]00.0-01.7
												[u]input
												[v]keepHex-low-E
											}

							Remark:  Mobile country code.
							[End]				
				"
				::= { Config_XAPP 1 }

MNC	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   1
							Default: 02 
							Field:   [1]MNC
							{
							    [u]00.0-00.7
								[u]input
								[v]keepHex-low-E
						   }
							Remark:  Mobile network code.
							[End]				
				"
				::= { Config_XAPP 2 }

CC	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   2
							Default:  86EE 
							Field:   [1]CC
											{
												[u]00.0-01.7
												[u]input
												[v]keepHex-low-E
											}
							Remark:  Country code.
							[End]				
				"
				::= { Config_XAPP 3 }

NDC	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   3
							Default: 755EEE 
							Field:    [1]NDC
											{
												[u]00.0-02.7
												[u]input
												[v]keepHex-low-E
										  }
							Remark:  National destination code.
							[End]				
				"
				::= { Config_XAPP 4 }

International_Prefix	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   2
							Default: 00ee
							Field:   [1]International prefix
											{
												[u]00.0-01.7
												[u]input
												[v]keepHex-low-E
												}
							Remark:  International call prefix.
							[End]			
				"
				::= { Config_XAPP 5 }

National_Prefix	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   2
							Default: 0EEE 
							Field:    [1]National prefix
												{
													[u]00.0-01.7
													[u]input
													[v]keepHex-low-E
												}

							Remark:  National call prefix.
							[End]				
				"
				::= { Config_XAPP 6 }

Local_Prefix	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				    [Begin]
							Instance: 1
							Length:   2
							Default: EEEE
							Field:   
							Remark:  Local prefix.
							[End]			
				"
				::= { Config_XAPP 7 }
 
Conv_Prefix 	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 128
							Length:   35
							Default: 0000000000000000000000000000000000000000000000000000000000000000000000 
							Field:    [1]Prefix
							         {
												[u]00.0-15.7
												[u]input
												[v]toAscii-low-0
											}
												[2]Delete length
											{
												[u]16.0-16.7[u]input
												[v]toDec-high-0
											}
												[3]Add length
											{
												[u]17.0-17.7
												[u]input
												[v]toDec-high-0
											}
												[4]Add digits
											{
												[u]18.0-33.7
												[u]input
												[v]toAscii-low-0
											}
												[5]Valid length
											{
												[u]34.0-34.7
												[u]input
												[v]toDec-high-0
											}
							Remark:  Conv prefix .
							[End]		
				"
				::= { Config_XAPP 8 }
				
CLI_Conv_Prefix 	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 8
							Length:   37
							Default: 0000000000000000000000000000000000000000000000000000000000000000000000 
							Field:    [1]In property
							          {
								          [u]00.0-00.7
								          [u]select
													[v]1[opt]IDD
													[v]2[opt]NDD
													[v]3[opt]Unknown
												}
												[2]Prefix
												{
													[u]01.0-16.7
													[u]input
													[v]toAscii-low-0
												}
												[3]Delete length
												{
													[u]17.0-17.7
													[u]input
													[v]toDec-high-0
												}
												[4]Out property
												{
													[u]18.0-18.7
													[u]select
													[v]1[opt]IDD
													[v]2[opt]NDD
													[v]3[opt]Unknown
												}
												[5]Add length
												{
													[u]19.0-19.7
													[u]input
													[v]toDec-high-0
												}
												[6]Add digits
												{
													[u]20.0-35.7
													[u]input
													[v]toAscii-low-0
													
												}
												[7]Valid length
												{
												    [u]36.0-36.7 
													[u]input
													[v]toDec-high-0
												}
							Remark:  CLI_Conv prefix .
							[End]		
				"
				::= { Config_XAPP 9 }			

mscid_to_number 	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 256
							Length:   12
							Default: 00000000EEEEEEEEEEEEEEEE 
							Field:    
							
								[1]Market ID
								{
									[u]0.0-1.7
									[u]input
									[v]toDec-high-0
								}
								[2]Switch Number
								{
									[u]2.0-2.7
									[u]input
									[v]toDec-high-0
								}
								[3]SSN
								{
									[u]3.0-3.7
									[u]input
									[v]toDec-high-0
								}
								[4]Number
								{
									[u]04.0-11.7
									[u]input
									[v]keepHex-low-E
								}
							Remark:  Conv prefix .
							[End]		
				"
				::= { Config_XAPP 10 }

Status_XAPP	OBJECT-IDENTITY
				STATUS	current
				DESCRIPTION
				" XAPP Status.	"
				::= { XAPP 3 }

Version_XAPP	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-only
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   3
							Default: 000000
							Field:   
							Remark:     Version of XAPP module (Read Only).
										Byte0: System release version number, based on basic function and structure.
										Byte1: Software module version number, based on software module.
										Byte2: Test version, 0=Release version number, 1=Test version number.
							[End]	
				"
				::= { Status_XAPP 1 }

Command_XAPP	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   1
							Default: 00
							Flag: S1.1
							Field:   [1]Command
											{
												[u]00.0-00.7
												[u]select
												[v]01[opt]Save parameters
											}
							Remark: Control command for XAPP. 
									    Save parameter: Save the parameters in memory into local harddisk.
							[End]				
				"
				::= { Status_XAPP 2 }

Maplat  OBJECT-IDENTITY
         STATUS current  
         DESCRIPTION 
         "
         Subsystems  for Maplat .
         "
         ::= { Platform 3 }
--
-- sub system SMPP
--

SMPP  OBJECT-IDENTITY
         STATUS current
         DESCRIPTION 
         "
         [SubSystem_Module]Subsystems  for SMPP .
         "
         ::= { Maplat 4 }

Config_SMPP	OBJECT-IDENTITY
				STATUS	current
				DESCRIPTION
				" SMPP	Configuration.	"
				::= { SMPP 2 }
SMPP_Link_Parameter	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 32
							Length:   106
							Default: 00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
							Field:[1]Link enable
							{
							[u]0.0-0.7
							[u]select
								[v]0[opt]Disable
								[v]1[opt]Enable
								}
								[2]Link type
								{
								[u]1.0-1.7
								[u]select
									[v]0[opt]UDP
									[v]1[opt]TCP
								}
								[3]Server type
								{
								[u]2.0-2.7
								[u]select
								[v]0[opt]SMPP_CLIENT
								[v]1[opt]SMPP_SERVER
								}
								[4]Session type
								{
								[u]3.0-3.7
								[u]select
								[v]00[opt]BIND_TX
								[v]01[opt]BIND_RX
								[v]02[opt]BIND_TRX
								}
								[5]System ID
								{
								[u]4.0-19.7
								[u]input
								[v]toAscii-low-0
								}
								[6]Password
								{
								[u]20.0-28.7
								[u]input
								[v]toAscii-low-0
								}
								[7]System type
								{
								[u]29.0-41.7
								[u]input
								[v]toAscii-low-0
								}
								[8]Local GTT
								{
								[u]42.0-57.7
								[u]input
								[v]toAscii-low-0
								}
								[9]Remote GTT
								{
								[u]58.0-73.7
								[u]input
								[v]toAscii-low-0
								}
								[10]Local IP
								{
								[u]74.0-77.7
								[u]input
								[v]keepHex-low-F
								}
								[11]Remote IP
								{
								[u]78.0-81.7
								[u]input
								[v]keepHex-low-F
								}
								[12]Session init timer
								{
								[u]82.0-85.7
								[u]input
								[v]toDec-high-0
								}
								[13]Enquire link timer
								{
								[u]86.0-89.7
								[u]input
								[v]toDec-high-0
								}
								[14]Inactivity timer
								{
								[u]90.0-93.7
								[u]input
								[v]toDec-high-0
								}
								[15]Response timer
								{
								[u]94.0-97.7
								[u]input
								[v]toDec-high-0
								}
								[16]Remote service number
								{
								[u]98.0-105.7
								[u]input
								[v]toAscii-low-0
								}

						Remark:		Session type: BIND_TX-bind as transmitter, BIND_RX-bind as receiver, BIND_TRX-bind as transceiver.
								System ID: using in BIND and OUTBIND.
								Password: The password parameter is used by the SMSC to authenticate the identity of the binding ESME. The Service Provider may require ESME¡¯s to provide a password when binding to the SMSC. This password is normally issued by the SMSC system administrator.
								The password parameter may also be used by the ESME to authenticate the identity of the binding SMSC (e.g. in the case of the outbind operation).
								System type: The system_type may be used to categorise the system, e.g., ¡°EMAIL¡±, ¡°WWW¡±, etc.
								The system_type parameter is used to categorize the type of ESME that is binding to the SMSC. Examples include ¡°VMS¡± (voice mail system) and ¡°OTA¡± (over-the-air activation system).
								Specification of the system_type is optional - some SMSC¡¯s may not require ESME¡¯s to provide this detail. In this case, the ESME can set the system_type to NULL.
								IP: Specify the IP addresses of 16 SMPP connected devices.<br>e.g. 0xAC127001=172.18.112.1.<br>
								Session init timer: This timer specifies the time lapse allowed between a network connection being established and a bind_transmitter or bind_receiver request being sent to SMSC. This timer should be active on the SMSC.
								Enquire link timer: This timer specifies the time lapse allowed between operations after which an SMPP entity should interrogate whether it's peer still has an active session.
								The scale is second.
								Inactivity timer: This timer specifies the maximum time lapse allowed between transactions, after which period of inactivity, an SMPP entity may assume that the session is no longer active. This timer may be active on either commnicating SMPP entity(i.e. SMSC or ESME)
								Response timer: This timer specifies the maximum time lapse allowed between transactions, after which period of inactivity, an SMPP entity may assume that the session is no longer active. This timer may be active on either commnicating SMPP entity(i.e. SMSC or ESME)
								Local service number: compare with application's service number while bind as TX or TRX.
								remote service number: compare with application's service number while bind as RX
							[End]				
				"
				::= { Config_SMPP 1 }


Status_SMPP	OBJECT-IDENTITY
				STATUS	current
				DESCRIPTION
				" XAPP Status.	"
				::= { SMPP 3 }

Command_SMPP	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    write-only
				STATUS        current
				DESCRIPTION
				"
				[Begin]
							Instance: 1
							Length:   1
							Default:   02
							Flag :S1.1
							Field:    [1]Command
							         {
							            [u]00.0-00.7
							            [u]select
										      [v]2[opt]save parameter
										   }
							Remark:  Control command for SMPP.
							[End]				 
				"
				::= { Status_SMPP 2 }
				

END
